# C166 Processor

Assembler code

```
ROM:00005920
ROM:00005920 ; =============== S U B R O U T I N E =======================================
ROM:00005920
ROM:00005920
ROM:00005920 sub_5920:                               ; CODE XREF: ROM:00005A1A↓P
ROM:00005920                                         ; ROM:00005ADC↓P
ROM:00005920                 mov     r4, r8
ROM:00005922                 cmpb    rl4, #0
ROM:00005924                 jmpr    cc_NZ, loc_5932
ROM:00005926                 mov     r5, #4
ROM:00005928                 or      dword_18+4, ZEROS
ROM:0000592C                 or      dword_18+6, r5
ROM:00005930                 jmpr    cc_UC, loc_593E
ROM:00005932 ; ---------------------------------------------------------------------------
ROM:00005932
ROM:00005932 loc_5932:                               ; CODE XREF: sub_5920+4↑j
ROM:00005932                 mov     r5, #0FFFBh
ROM:00005936                 and     dword_18+4, ONES
ROM:0000593A                 and     dword_18+6, r5
ROM:0000593E
ROM:0000593E loc_593E:                               ; CODE XREF: sub_5920+10↑j
ROM:0000593E                 mov     r4, r9
ROM:00005940                 cmpb    rl4, #0
ROM:00005942                 jmpr    cc_NZ, loc_5950
ROM:00005944                 mov     r5, #8
ROM:00005946                 or      dword_18+4, ZEROS
ROM:0000594A                 or      dword_18+6, r5
ROM:0000594E                 jmpr    cc_UC, loc_595C
ROM:00005950 ; ---------------------------------------------------------------------------
ROM:00005950
ROM:00005950 loc_5950:                               ; CODE XREF: sub_5920+22↑j
ROM:00005950                 mov     r5, #0FFF7h
ROM:00005954                 and     dword_18+4, ONES
ROM:00005958                 and     dword_18+6, r5
ROM:0000595C
ROM:0000595C loc_595C:                               ; CODE XREF: sub_5920+2E↑j
ROM:0000595C                 mov     r4, dword_18+4
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/disassembler/disassembly-gallery/c166-processor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
